Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#8 Does not show any connections

v1.0 (example)
closed-works-for-me
None
5
2014-08-14
2006-11-11
Anonymous
No

I tried NetHogs version 0.6.2pre2 both from from cvs
and from the tar.gz download. I also tried the 0.6.0
debian testing/unstable package. Every version had the
same problem.

I start nethogs and it doesn't seam to monitor any packets.

PID USER PROGRAM DEV SENT RECEIVED
0 root unknown 0.000 0.000 KB/sec

When I hit q to quit, I get this message:
Waiting for first packet to arrive (see sourceforge.net
bug 1019381)

I have libpcap0.8 installed.
My kernel is 2.6.17-2-parisc64-smp
My only network interfaces are eth0 and lo.

Discussion

  • Arnout Engelen
    Arnout Engelen
    2006-11-11

    Logged In: YES
    user_id=392382

    If you monitor the interface with 'wireshark' (previously
    ethereal), do you see any activity?

    If you run nethogs in trace mode (-t), do you see any packets?

     
  • Arnout Engelen
    Arnout Engelen
    2006-12-01

    Logged In: YES
    user_id=392382
    Originator: NO

    Could you send me a wireshark capture of some data on your wire so I can try to recreate the problem on my side? Thanks!

     
  • Logged In: NO

    Nethogs in trace mode still shows 0 activity.

    I don't have X11 access to this machine right now. Can I do a wireshark capture from the command line? How?

     
  • Arnout Engelen
    Arnout Engelen
    2006-12-15

    Logged In: YES
    user_id=392382
    Originator: NO

    you could try 'ssh -X' to get some limited X11 access (not sure if that's what you meant), or use tcpdump. Both nethogs, wireshark and tcpdump are, if i recall correctly, based on libpcap.

     
  • Arnout Engelen
    Arnout Engelen
    2006-12-18

    • assigned_to: nobody --> raboofje
     
  • Logged In: NO

    I also had a problem installing and running nethogs on Ubuntu.

    # apt-get install nethogs
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    The following NEW packages will be installed:
    nethogs
    0 upgraded, 1 newly installed, 0 to remove and 32 not upgraded.
    Need to get 21.6kB of archives.
    After unpacking 98.3kB of additional disk space will be used.
    Get:1 http://us.archive.ubuntu.com edgy/universe nethogs 0.6.0-1 [21.6kB]
    Fetched 21.6kB in 0s (25.1kB/s)
    Selecting previously deselected package nethogs.
    (Reading database ... 181441 files and directories currently installed.)
    Unpacking nethogs (from .../nethogs_0.6.0-1_i386.deb) ...
    Setting up nethogs (0.6.0-1) ...
    root@ubuntuAthalonM:/home/the1/tmp/scheflo# nethogs
    ioctl failed while establishing local IP

     
  • Logged In: NO

    Nethogs works in Ubuntu if I explicitly give it my network interface as an argument.

    # nethogs wlan0

     
  • Logged In: NO

    I have the same problem on Ubuntu 6.10 Edgy using pppoe connection.
    I start 'sudo nethogs ppp0' and it shows no activity (exacty as in original bug post).
    In trace mode it shows zeros too.
    My ifconfig output:

    eth0 Link encap:Ethernet HWaddr 00:18:F3:B9:EC:38
    inet6 addr: fe80::218:f3ff:feb9:ec38/64 Scope:Link
    UP BROADCAST RUNNING MULTICAST MTU:1500 Metric:1
    RX packets:982 errors:0 dropped:0 overruns:0 frame:0
    TX packets:1042 errors:0 dropped:0 overruns:0 carrier:0
    collisions:0 txqueuelen:1000
    RX bytes:798059 (779.3 KiB) TX bytes:159997 (156.2 KiB)
    Interrupt:66 Base address:0x8000

    lo Link encap:Local Loopback
    inet addr:127.0.0.1 Mask:255.0.0.0
    inet6 addr: ::1/128 Scope:Host
    UP LOOPBACK RUNNING MTU:16436 Metric:1
    RX packets:4 errors:0 dropped:0 overruns:0 frame:0
    TX packets:4 errors:0 dropped:0 overruns:0 carrier:0
    collisions:0 txqueuelen:0
    RX bytes:200 (200.0 b) TX bytes:200 (200.0 b)

    ppp0 Link encap:Point-to-Point Protocol
    inet addr:192.168.24.80 P-t-P:192.168.254.2 Mask:255.255.255.255
    UP POINTOPOINT RUNNING NOARP MULTICAST MTU:1492 Metric:1
    RX packets:892 errors:0 dropped:0 overruns:0 frame:0
    TX packets:928 errors:0 dropped:0 overruns:0 carrier:0
    collisions:0 txqueuelen:3
    RX bytes:772975 (754.8 KiB) TX bytes:124904 (121.9 KiB)

     
  • Logged In: NO

    Still not solved?
    I do get wireshark (or tcpdump) to show packets, albeit nethogs show 0 zero packets.
    It looks like:
    Refreshing:
    unknown/0/0 0 0

    For all it's worth, this is a ppc machine, user reported it runs on x86 just fine. Could this be a endianess bug?

     
  • Arnout Engelen
    Arnout Engelen
    2008-06-10

    Logged In: YES
    user_id=392382
    Originator: NO

    http://unixclan.no-ip.org/~the1/dump is unavailable and I don't seem to have it here. I'd appreciate a dump along with ifconfig output to diagnose this problem, as I don't have a ppp connection myself.

    Does this bug only seem to occur on PPC machines?

     
  • Logged In: YES
    user_id=390560
    Originator: NO

    I was also having this problem, on Gentoo amd64 (x86_64), w/ both 0.6.0 & 0.6.1-pre2. Actually, my situation is much the same as in (closed) bug #1532576: nethogs worked as expected on the eth0 local network interface, but on the ppp0 PPPoE internet interface, it would only ever show the one line, same as in this bug:
    0 root unknown 0.000 0.000 KB/sec

    I had thought 0.6.1_pre2 included the fix for bug #1532576, but looking at the timestamps in the tarball I guess maybe not.

    When I grabbed the CVS (as of 14 June 2008), it works much better, but now there's a bunch of extra lines that look like nethogs is monitoring connections that it couldn't associate w/ a PID (see the example below). But that's probably a seperate issue. For anyone still experiencing this bug, I'd suggest trying w/ a recent CVS snapshot to see if it works better.

    NetHogs version 0.7.snapshot

    PID USER PROGRAM DEV SENT RECEIVED
    9770 beolach /usr/lib/jvm/sun-jdk-1.6//b ppp0 52.947 64.155 KB/sec
    0 root ..56881-71.115.210.225:3742 0.135 1.853 KB/sec
    0 root ..4:56881-96.52.46.175:4203 0.035 0.153 KB/sec
    0 root ..84:56881-82.35.4.234:2844 0.192 0.104 KB/sec
    0 root ..:56881-79.200.89.202:2567 0.011 0.024 KB/sec
    0 root ..56881-76.212.189.153:1348 0.022 0.022 KB/sec
    0 root ..56881-74.137.101.119:3727 0.000 0.013 KB/sec
    0 root ..6881-123.255.61.109:62901 0.000 0.000 KB/sec
    15095 beolach irssi ppp0 0.000 0.000 KB/sec
    0 root ..55540-66.41.138.123:40678 0.000 0.000 KB/sec
    0 root ..:56881-83.142.21.199:1195 0.000 0.000 KB/sec
    0 root ..4:56881-92.96.75.237:2095 0.000 0.000 KB/sec
    0 root ..:56881-80.61.145.155:4493 0.000 0.000 KB/sec
    0 root ..6881-67.235.131.251:60646 0.000 0.000 KB/sec
    0 root ..6881-67.235.131.251:60635 0.000 0.000 KB/sec
    0 root ..:56881-89.53.206.243:1471 0.000 0.000 KB/sec
    0 root ..4:56881-71.80.210.79:1628 0.000 0.000 KB/sec
    17084 privoxy /usr/sbin/privoxy ppp0 0.000 0.000 KB/sec
    17110 tor /usr/bin/tor ppp0 0.000 0.000 KB/sec
    0 root ..6881-67.235.131.251:60556 0.000 0.000 KB/sec
    0 root unknown TCP 0.000 0.000 KB/sec

    TOTAL 53.342 66.324 KB/sec

     
  • Arnout Engelen
    Arnout Engelen
    2008-06-14

    Logged In: YES
    user_id=392382
    Originator: NO

    Good to hear!

    Due to the way the Linux kernel works, not all packets can be associated with PID's - Nethogs merely does its best. I'll add some extra (optional) debug logging so we can analyse whether Nethogs is missing links it should have made, or simply because of circumstances we don't have control over.

     
  • Arnout Engelen
    Arnout Engelen
    2013-05-12

    I'm confused what this issue is about anymore.

    Closing this one, please open another issue if you still have a specific problem.

     
  • Arnout Engelen
    Arnout Engelen
    2013-05-12

    • status: open --> closed-accepted
    • Group: --> v1.0 (example)
     
  • Arnout Engelen
    Arnout Engelen
    2013-05-12

    • status: closed-accepted --> closed-works-for-me